net.sourceforge.pmd.lang.jsp.ast

## Class DumpFacade

- java.lang.Object
- - net.sourceforge.pmd.lang.jsp.ast.JspParserVisitorAdapter
  - - net.sourceforge.pmd.lang.jsp.ast.DumpFacade

- All Implemented Interfaces:
    JspParserVisitor

      public class DumpFacade
      extends JspParserVisitorAdapter

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DumpFacade()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `initializeWith(Writer writer, String prefix, boolean recurse, JspNode node)`
    `Object` | `visit(JspNode node, Object data)`

    - ### Methods inherited from class net.sourceforge.pmd.lang.jsp.ast.JspParserVisitorAdapter

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DumpFacade

          public DumpFacade()

  - ### Method Detail

    - #### initializeWith

          public void initializeWith(Writer writer,
                            String prefix,
                            boolean recurse,
                            JspNode node)

    - #### visit

          public Object visit(JspNode node,
                     Object data)

      Specified by:
        `visit` in interface `JspParserVisitor`
      Overrides:
        `visit` in class `JspParserVisitorAdapter`

Copyright © 2002-2013 InfoEther. All Rights Reserved.